


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for api/__init__.py: 40%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">

<div id="header">
    <div class="content">
        <h1>Coverage for <b>api/__init__.py</b> :
            <span class="pc_cov">40%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <h2 class="stats">
            40 statements &nbsp;
            <span class="run hide_run shortkey_r button_toggle_run">16 run</span>
            <span class="mis shortkey_m button_toggle_mis">24 missing</span>
            <span class="exc shortkey_x button_toggle_exc">0 excluded</span>

            
                <span class="par run hide_run shortkey_p button_toggle_par">0 partial</span>
            
        </h2>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>

<div id="source">
    <table>
        <tr>
            <td class="linenos">
<p id="n1" class="stm mis"><a href="#n1">1</a></p>
<p id="n2" class="stm mis"><a href="#n2">2</a></p>
<p id="n3" class="stm mis"><a href="#n3">3</a></p>
<p id="n4" class="stm mis"><a href="#n4">4</a></p>
<p id="n5" class="stm mis"><a href="#n5">5</a></p>
<p id="n6" class="stm mis"><a href="#n6">6</a></p>
<p id="n7" class="stm mis"><a href="#n7">7</a></p>
<p id="n8" class="stm mis"><a href="#n8">8</a></p>
<p id="n9" class="stm mis"><a href="#n9">9</a></p>
<p id="n10" class="stm mis"><a href="#n10">10</a></p>
<p id="n11" class="pln"><a href="#n11">11</a></p>
<p id="n12" class="stm mis"><a href="#n12">12</a></p>
<p id="n13" class="stm mis"><a href="#n13">13</a></p>
<p id="n14" class="stm mis"><a href="#n14">14</a></p>
<p id="n15" class="pln"><a href="#n15">15</a></p>
<p id="n16" class="stm mis"><a href="#n16">16</a></p>
<p id="n17" class="stm mis"><a href="#n17">17</a></p>
<p id="n18" class="stm mis"><a href="#n18">18</a></p>
<p id="n19" class="stm mis"><a href="#n19">19</a></p>
<p id="n20" class="stm mis"><a href="#n20">20</a></p>
<p id="n21" class="stm mis"><a href="#n21">21</a></p>
<p id="n22" class="stm mis"><a href="#n22">22</a></p>
<p id="n23" class="stm mis"><a href="#n23">23</a></p>
<p id="n24" class="pln"><a href="#n24">24</a></p>
<p id="n25" class="stm mis"><a href="#n25">25</a></p>
<p id="n26" class="stm mis"><a href="#n26">26</a></p>
<p id="n27" class="pln"><a href="#n27">27</a></p>
<p id="n28" class="stm mis"><a href="#n28">28</a></p>
<p id="n29" class="pln"><a href="#n29">29</a></p>
<p id="n30" class="stm run hide_run"><a href="#n30">30</a></p>
<p id="n31" class="stm run hide_run"><a href="#n31">31</a></p>
<p id="n32" class="stm run hide_run"><a href="#n32">32</a></p>
<p id="n33" class="pln"><a href="#n33">33</a></p>
<p id="n34" class="stm run hide_run"><a href="#n34">34</a></p>
<p id="n35" class="stm run hide_run"><a href="#n35">35</a></p>
<p id="n36" class="stm run hide_run"><a href="#n36">36</a></p>
<p id="n37" class="stm run hide_run"><a href="#n37">37</a></p>
<p id="n38" class="stm run hide_run"><a href="#n38">38</a></p>
<p id="n39" class="stm run hide_run"><a href="#n39">39</a></p>
<p id="n40" class="stm run hide_run"><a href="#n40">40</a></p>
<p id="n41" class="stm run hide_run"><a href="#n41">41</a></p>
<p id="n42" class="stm run hide_run"><a href="#n42">42</a></p>
<p id="n43" class="pln"><a href="#n43">43</a></p>
<p id="n44" class="stm run hide_run"><a href="#n44">44</a></p>
<p id="n45" class="pln"><a href="#n45">45</a></p>
<p id="n46" class="stm run hide_run"><a href="#n46">46</a></p>
<p id="n47" class="pln"><a href="#n47">47</a></p>
<p id="n48" class="stm run hide_run"><a href="#n48">48</a></p>
<p id="n49" class="pln"><a href="#n49">49</a></p>
<p id="n50" class="stm run hide_run"><a href="#n50">50</a></p>

            </td>
            <td class="text">
<p id="t1" class="stm mis"><span class="key">from</span> <span class="nam">flask</span> <span class="key">import</span> <span class="nam">Flask</span><span class="strut">&nbsp;</span></p>
<p id="t2" class="stm mis"><span class="key">from</span> <span class="nam">flask_bcrypt</span> <span class="key">import</span> <span class="nam">Bcrypt</span><span class="strut">&nbsp;</span></p>
<p id="t3" class="stm mis"><span class="key">from</span> <span class="nam">flask_caching</span> <span class="key">import</span> <span class="nam">Cache</span><span class="strut">&nbsp;</span></p>
<p id="t4" class="stm mis"><span class="key">from</span> <span class="nam">flask_cors</span> <span class="key">import</span> <span class="nam">CORS</span><span class="strut">&nbsp;</span></p>
<p id="t5" class="stm mis"><span class="key">from</span> <span class="nam">flask_limiter</span> <span class="key">import</span> <span class="nam">Limiter</span><span class="strut">&nbsp;</span></p>
<p id="t6" class="stm mis"><span class="key">from</span> <span class="nam">flask_limiter</span><span class="op">.</span><span class="nam">util</span> <span class="key">import</span> <span class="nam">get_remote_address</span><span class="strut">&nbsp;</span></p>
<p id="t7" class="stm mis"><span class="key">from</span> <span class="nam">flask_mail</span> <span class="key">import</span> <span class="nam">Mail</span><span class="strut">&nbsp;</span></p>
<p id="t8" class="stm mis"><span class="key">from</span> <span class="nam">flask_marshmallow</span> <span class="key">import</span> <span class="nam">Marshmallow</span><span class="strut">&nbsp;</span></p>
<p id="t9" class="stm mis"><span class="key">from</span> <span class="nam">flask_secure_headers</span><span class="op">.</span><span class="nam">core</span> <span class="key">import</span> <span class="nam">Secure_Headers</span><span class="strut">&nbsp;</span></p>
<p id="t10" class="stm mis"><span class="key">from</span> <span class="nam">flask_sqlalchemy</span> <span class="key">import</span> <span class="nam">SQLAlchemy</span><span class="strut">&nbsp;</span></p>
<p id="t11" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t12" class="stm mis"><span class="key">from</span> <span class="nam">elasticsearch</span> <span class="key">import</span> <span class="nam">Elasticsearch</span><span class="strut">&nbsp;</span></p>
<p id="t13" class="stm mis"><span class="key">from</span> <span class="nam">celery</span> <span class="key">import</span> <span class="nam">Celery</span><span class="strut">&nbsp;</span></p>
<p id="t14" class="stm mis"><span class="key">from</span> <span class="nam">config</span> <span class="key">import</span> <span class="nam">config</span><span class="op">,</span> <span class="nam">Config</span><span class="strut">&nbsp;</span></p>
<p id="t15" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t16" class="stm mis"><span class="nam">bcrypt</span> <span class="op">=</span> <span class="nam">Bcrypt</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t17" class="stm mis"><span class="nam">cache</span> <span class="op">=</span> <span class="nam">Cache</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t18" class="stm mis"><span class="nam">cors</span> <span class="op">=</span> <span class="nam">CORS</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t19" class="stm mis"><span class="nam">db</span> <span class="op">=</span> <span class="nam">SQLAlchemy</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t20" class="stm mis"><span class="nam">limiter</span> <span class="op">=</span> <span class="nam">Limiter</span><span class="op">(</span><span class="nam">key_func</span><span class="op">=</span><span class="nam">get_remote_address</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t21" class="stm mis"><span class="nam">mail</span> <span class="op">=</span> <span class="nam">Mail</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t22" class="stm mis"><span class="nam">marshmallow</span> <span class="op">=</span> <span class="nam">Marshmallow</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t23" class="stm mis"><span class="nam">secureheaders</span> <span class="op">=</span> <span class="nam">Secure_Headers</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t24" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t25" class="stm mis"><span class="nam">secureheaders</span><span class="op">.</span><span class="nam">rewrite</span><span class="op">(</span><span class="op">{</span><span class="str">'CSP'</span><span class="op">:</span><span class="op">{</span><span class="str">'report-uri'</span><span class="op">:</span><span class="op">[</span><span class="str">'/v1/csp_report'</span><span class="op">]</span><span class="op">}</span><span class="op">}</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t26" class="stm mis"><span class="nam">celery</span> <span class="op">=</span> <span class="nam">Celery</span><span class="op">(</span><span class="nam">__name__</span><span class="op">,</span> <span class="nam">broker</span><span class="op">=</span><span class="nam">Config</span><span class="op">.</span><span class="nam">CELERY_BROKER_URL</span><span class="op">,</span> <span class="nam">include</span><span class="op">=</span><span class="op">[</span><span class="str">'api.v1.tasks'</span><span class="op">]</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t27" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t28" class="stm mis"><span class="key">def</span> <span class="nam">create_app</span><span class="op">(</span><span class="nam">cfg</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t29" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t30" class="stm run hide_run">    <span class="nam">app</span> <span class="op">=</span> <span class="nam">Flask</span><span class="op">(</span><span class="nam">__name__</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t31" class="stm run hide_run">    <span class="nam">app</span><span class="op">.</span><span class="nam">config</span><span class="op">.</span><span class="nam">from_object</span><span class="op">(</span><span class="nam">config</span><span class="op">[</span><span class="nam">cfg</span><span class="op">]</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t32" class="stm run hide_run">    <span class="nam">config</span><span class="op">[</span><span class="nam">cfg</span><span class="op">]</span><span class="op">.</span><span class="nam">init_app</span><span class="op">(</span><span class="nam">app</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t33" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t34" class="stm run hide_run">    <span class="nam">bcrypt</span><span class="op">.</span><span class="nam">init_app</span><span class="op">(</span><span class="nam">app</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t35" class="stm run hide_run">    <span class="nam">cache</span><span class="op">.</span><span class="nam">init_app</span><span class="op">(</span><span class="nam">app</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t36" class="stm run hide_run">    <span class="nam">cors</span><span class="op">.</span><span class="nam">init_app</span><span class="op">(</span><span class="nam">app</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t37" class="stm run hide_run">    <span class="nam">db</span><span class="op">.</span><span class="nam">init_app</span><span class="op">(</span><span class="nam">app</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t38" class="stm run hide_run">    <span class="nam">limiter</span><span class="op">.</span><span class="nam">init_app</span><span class="op">(</span><span class="nam">app</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t39" class="stm run hide_run">    <span class="nam">mail</span><span class="op">.</span><span class="nam">init_app</span><span class="op">(</span><span class="nam">app</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t40" class="stm run hide_run">    <span class="nam">marshmallow</span><span class="op">.</span><span class="nam">init_app</span><span class="op">(</span><span class="nam">app</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t41" class="stm run hide_run">    <span class="nam">secureheaders</span><span class="op">.</span><span class="nam">init_app</span><span class="op">(</span><span class="nam">app</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t42" class="stm run hide_run">    <span class="nam">celery</span><span class="op">.</span><span class="nam">conf</span><span class="op">.</span><span class="nam">update</span><span class="op">(</span><span class="nam">app</span><span class="op">.</span><span class="nam">config</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t43" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t44" class="stm run hide_run">    <span class="nam">app</span><span class="op">.</span><span class="nam">elasticsearch</span> <span class="op">=</span> <span class="nam">Elasticsearch</span><span class="op">(</span><span class="str">'http://127.0.0.1:9200'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t45" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t46" class="stm run hide_run">    <span class="key">from</span> <span class="nam">api</span><span class="op">.</span><span class="nam">v1</span> <span class="key">import</span> <span class="nam">blueprint</span> <span class="key">as</span> <span class="nam">api_module</span><span class="strut">&nbsp;</span></p>
<p id="t47" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t48" class="stm run hide_run">    <span class="nam">app</span><span class="op">.</span><span class="nam">register_blueprint</span><span class="op">(</span><span class="nam">api_module</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t49" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t50" class="stm run hide_run">    <span class="key">return</span> <span class="nam">app</span><span class="strut">&nbsp;</span></p>

            </td>
        </tr>
    </table>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.4</a>,
            created at 2019-10-30 03:13
        </p>
    </div>
</div>

</body>
</html>
